#!/bin/bash
set -e  ## Exit if Problems
set -u  ## Fail on Undefined Variable

SCRIPT_PATH="$(dirname "$(readlink -f "$0")")"

apt update
apt install python3 python3-venv python-is-python3 git -y

if [ ! -d "$SCRIPT_PATH/02002students" ]; then
	git clone https://lab.compute.dtu.dk/cp/02002students.git
fi

cd "$SCRIPT_PATH/02002students"
	if [ ! -d .venv ]; then
		python3 -m venv .venv
	fi
	. .venv/bin/activate
		pip install -r requirements.txt
		python3 -c "import dtumathtools; dir(dtumathtools)"
		
		pip check
	deactivate
cd -

bash
